API ReferenceClients
Retrieve clients
GET
Retrieves a list of clients authorized to interact with the requested tenant.
Analytics Events
TENANT_CLIENT_RETRIEVE_LIST_STARTTENANT_CLIENT_RETRIEVE_LIST_SUCCESSTENANT_CLIENT_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>tenantId*stringUnique ID of the tenant to retrieve clients for.
Format
uuidlimit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
Clients retrieved
application/json- response
data*array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET "https://example.com/v1/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients"{ "data": [ { "clientId": "suC7IhmDIawnlqBlEOuIqBWoqppcdI52", "name": "Example client", "permissions": [ "dids:read", "dids:create" ], "roles": [ "issuer" ] } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?